Subject: [PATCH 0/4] NUMA support for spufs

From: Arnd Bergmann <[email-masked]>
Date: Sat, 29 Apr 2006 03:18:27 +0200

The current version of spufs breaks upon boot when NUMA support is enabled.
I'd like to fix that before 2.6.17 so we can use the same kernel image
on Cell that we use on other powerpc systems using NUMA.

This series has four patches, the first two are required to make it work
at all, the other two are there for a somewhat cleaner solution.

The second patch (sparsemem-interaction-with-memory-add-bug-fixes.patch)
actually comes from 2.6.17-rc2-mm1, but in order to make this work,
we need it included in mainline along with the others.

	Arnd <><
--